:root {
  --font-family: Ubuntu, 'Open Sans', 'Helvetica Neue', Helvetica, sans-serif;
  --font-size-root: 16px;
  --font-weight-thin: 200;
  --font-weight-normal: 400;
  --font-weight-bold: 700;
  --font-weight-bolder: 900;

  /* --primary: seashell; */
  /* --secondary: cadetblue; */
}

a, a:link, a:visited {
  font-weight: var(--font-weight-normal);
}

header {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
}

h1 {
  margin-top: 0;
  margin-bottom: 0;
  font-weight: var(--font-weight-bold);
}

header p {
  margin-top: 0;
  font-size: 1em;
}

header a {
  position: relative;
  z-index: 2;
}
header a, header a:link, header a:visited {
  text-decoration: none;
}
header a>h1 {
  font-weight: 300;
  font-size: 2rem;
}

main {
  max-width: 1000px;
  margin: auto auto;
}

.flex {
  display: flex;
  flex-wrap: wrap;
}

.flex > * {
  margin-right: 1rem;
}

.a11y-hidden {
  position: absolute;
  display: block;
  left: -1000in;
  width: 1px;
  height: 1px;
  overflow: hidden;
}

.a11y-focus:focus {
  left: auto;
  width: auto;
  height: auto;
  overflow: auto;
}

.main-menu {
  width: 100%;
  position: relative;
  z-index: 1;
}

.main-menu ul {
  list-style: none;
  padding-left: 0;
}

.main-menu ul li > div {
  font-weight: var(--font-weight-bold);
  margin-top: 1rem;
}

.main-menu button {
  position: relative;
  aspect-ratio: 1;
  overflow: hidden;
  border-radius: 50%;
  background:
    linear-gradient(45deg, #0000 45%, var(--primary) 0 55%, #0000 0) 50% 50% / 50% 50% no-repeat,
    linear-gradient(-45deg, #0000 45%, var(--primary) 0 55%, #0000 0) 50% 50% / 50% 50% no-repeat;
  background-color: white;
}
.main-menu>button:hover,
.main-menu>button:focus {
  background-color: white !important;
}

.main-menu button span {
  position: absolute;
  left: -999in;
}

.main-menu.closed {
  position: absolute;
  padding: 1rem;
  top: 0;
  left: 0;
}

.main-menu.closed button {
  background: linear-gradient(var(--primary) 15%, #0000 0 42.5%, var(--primary) 0 57.5%, #0000 0 85%, var(--primary) 0) 50% 50% / 50% 50% no-repeat;
  background-color: white;
  border: none;
}

.main-menu.closed ul,
.main-menu.closed h2 {
  display: none;
}

details summary {
  background: 
  radial-gradient(at 50% 100%, #ff03, #ff00),
  linear-gradient(135deg, #80d6f755, #c597c555);
  background: #f4f6f8;
}

section {
  margin-bottom: 3rem;
}

code {
  font-weight: var(--font-weight-normal);
}

table code {
  white-space: nowrap;
}

.demo {
  margin: 2rem 0 5rem 0;
}

.demo > summary {
  position: relative;
}

.demo > summary::after {
  content: "";
  position: absolute;
  right: 0.5rem;
  top: 5%;
  height: 90%;
  aspect-ratio: 1;
  /* background: url(./chipmunk-face.svg); */
  background-size: cover;
}

#source-code {
  height: 30rem;
  width: 30rem;
  max-width: 100%;
}


@media (min-width: 768px) {
  :root {
    --font-size-root: 100%;
  }

  .main-menu,
  .main-menu.closed {
    overflow: auto;
    width: 250px;
    min-width: 250px;
    height: 100vh;
    padding: 1rem;
    box-sizing: border-box;
    border-right: 1px solid #eee;
    background: radial-gradient(at 100% 50%, #ff03, #ff00),
          linear-gradient(45deg, #80d6f733, #dda7f533);
    position: absolute;
    top: 0;
    left: 0;
  }

  .main-menu h2 {
    font-size: 1.35rem;
    margin-top: 0;
  }

  .main-menu button {
    display: none;
  }

  .main-menu.closed h2,
  .main-menu.closed ul {
    display: block;
  }

  header {
    height: auto;
  }

  body {
    margin: 0;
  }

  body > div {
    margin-left: 250px;
  }
}
/* END */



body pre.highlight {
  border-radius: 10px;
}
body code {
  background: transparent;
}
body article {
  margin-bottom: 5rem;
}
body article div:first-child h2 {
  margin-top: 0;
}
body article h2 {
  font-style: italic;
  font-weight: 200;
  font-size: 1.8rem;
}
body article .stat progress {
  min-width: 5rem;
}

/* Form */
body form p.search {
  width: 100%;
}
body form p.search #license {
  min-width: 0;
  max-width: 25%;
}
body form p.search input[type="search"] {
  min-width: 0;
  min-width: 70%;
  background-color: white;
}
body form input[type="range"] {
  min-width: 0;
  max-width: 45%;
}
